Volt 2.1.1 + Primefaces 6.0.4 Javascript Error

Post Reply
l.canalesmayo
Posts: 15
Joined: 12 Sep 2016, 15:32

12 Sep 2016, 15:34

Hi,

When I use "menu" component from Volt template I got this Javascript Error:

Widget not available: Volt

This happens with Volt 2.1.1 an Primefaces 6.X. This doesn't happen with Volt 2.1 and Primefaces 5.3.17.

Thanks in advance.

User avatar
aragorn
Posts: 3111
Joined: 29 Jun 2013, 12:38

29 Sep 2016, 09:10

I think this issue is fixed on next version; #106
On next version, please use PF('Volt').method() instead of Volt.method() in p:menuitems or your custom JS methods.

l.canalesmayo
Posts: 15
Joined: 12 Sep 2016, 15:32

18 Oct 2016, 12:42

Hi,

this error still happens with Volt 2.1.2 and Primefaces 6.0.6.

Could you fix it?

Thanks.

l.canalesmayo
Posts: 15
Joined: 12 Sep 2016, 15:32

18 Oct 2016, 12:48

Hi,

I think error is in VoltMenuRenderer class:

@Override
protected void encodeScript(FacesContext context, AbstractMenu abstractMenu) throws IOException {
VoltMenu menu = (VoltMenu) abstractMenu;
String clientId = menu.getClientId(context);
WidgetBuilder wb = getWidgetBuilder(context);
wb.initWithDomReady("Volt", menu.resolveWidgetVar(), clientId).finish();
}

Thanks.


l.canalesmayo
Posts: 15
Joined: 12 Sep 2016, 15:32

19 Oct 2016, 08:22

Fixed in new Volt Version.

User avatar
aragorn
Posts: 3111
Joined: 29 Jun 2013, 12:38

21 Oct 2016, 14:50

Thanks for the update!

Post Reply

Return to “Volt”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest